<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <!-- esse dado interpolado será atualizado porque sempre que um dado é alterado, automaticamente o Vue renderiza
    novamente -->
    <p>{{ contador }}</p>
    <button v-on:click="somar">Somar 1</button>
  </div>
  <script src="app.js"></script>
</body>

</html>